## plasma-desktop 5.12.3

=== debian/changelog ===
plasma-desktop (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:09 +0100

plasma-desktop (4:5.12.2-1) sid; urgency=medium

  * Bump kde-l10n version breaks/replaces.
    LC_SCRIPTS/kfontinst/kfontinst.js is now in plasma-desktop-data.
    Thanks to Andreas Beckmann for the report (Closes: 891017)
  * New upstream release (5.12.2).
  * Drop upstream patch
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:54 +0100

plasma-desktop (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:00 +0100

plasma-desktop (4:5.12.0-3) sid; urgency=medium

  * New revision
  * [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 15 Feb 2018 10:36:24 +0100

plasma-desktop (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Add xserver-xorg-input-libinput-dev optional build dep
  * Drop qml-module-org-kde-extensionplugin transitional package dependency
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:48 +0100

plasma-desktop (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump plasma-workspace-dev build dep version for libcolorcorrect
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:59 +0100

plasma-desktop (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update font recommendations
  * Bump itemmodels build dep version
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:10 -0300

plasma-desktop (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:38 +0200

plasma-desktop (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Use the new breeze-gtk package name
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake
  * Set Priority to optional
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * add gpg keyring
  * new build-deps needed breeze-dev libappstreamqt-dev

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:42 +0200

plasma-desktop (4:5.8.7.1-1) unstable; urgency=medium

  * New upstream release (5.8.7.1)
      + Revert "use KPluginMetaData::readStringList"
        This reverts commit 7993cd433ca68a0136a990d3f1710a6360024fe9
      + Set root.dragging to false during reset.
        Fixes KDE#376633
      + Fix default fixed font in fonts kcm
        Now it is the same as used by plasma-integration.
        Also adjust the file name in the comment, which was apparently forgotten.
        Fixes #863243
      + Fix switching categories via the filter listview on touchscreens.
      + Disable editing of 'Global Shortcuts' component names
        Fixes KDE#376935
      + [Folder View] Fix action button hover and pressed state
        The hover state didn't work because it referenced "pressed" which it didn't find in the scope.
        The pressed graphic suffix was wrong.
      + [AppletAppearance] Silence warning
        "applet" is set after the item is created and would result in a warning on startup.
      + Do apply margin if in right-to-left mode.
        Fixes KDE#376529
      + [Folder View] Explicitly set prefix as empty in normal state
        Somehow with FrameSvg optimizations State no longer manages to reset the property back to its original state when state is reset.
        Fixes KDE#377441
      + [Kicker] Fix highlighting favorites
        ToolTipArea steals mouse events from the MouseEventListener.
        Related to KDE#377652
      + Add missing member initialization.
        Fixes KDE#378016
      + [Applet Alternatives] Fix icon size
        Another regression with new IconItem implicit size handling.
        Unintuitively implicit size has precedence over regular size when placed in a Layout,
        since the latter is managed by it.
      + [Applet Alternatives] Don't animate highlight resize
        The delegates hardly differ in size leading to ugly jumps when moving the selection
      + [Folder View] Use toDisplayString which strips passwords
        Otherwise we might be leaking sensitive information.
      + [Task Manager] Keep entry highlighted when context menu or group dialog is open
        This makes it easier to see what item the menu or popup is for.
        In fact, the item should have stayed highlighted when the context menu is open but this was broken.
        Also, for consistency, use the hover effect also for the group dialog (it used to be the "active" task).
      + Backport 5.9/Master's GroupDialog code to 5.8.
        This brings us to a common baseline on the three active branches
        and addresses regressions on the 5.8 branch.
        5.9's code added a scrollbar and improved keyboard nav.
        Fixes KDE#378042
      + Fix -Wreorder warning.
      + possible to edit the default color scheme

