=== debian/changelog ===
plasma-desktop (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:18 +0100

plasma-desktop (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * Replace Kubuntu's desktop toolbox location patch with the upstream
    implementation, which is more adaptive for right-to-left
    configurations:
    - debian/patches: drop kubuntu_non_conflicting_toolbox_location.patch
    - debian/patches: add upstream_place-toolbox-top-right.patch
  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:48 +0000

plasma-desktop (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:23 +0000

plasma-desktop (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:26 +0000

plasma-desktop (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New optional build depend on xorg's libinput driver -dev package
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)
  * Add qml-module-org-kde-kcm to plasma-desktop-data recommends

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:53 +0000

plasma-desktop (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:37 +0000

plasma-desktop (4:5.11.4-0ubuntu2) bionic; urgency=medium

  * Update recommends to use new breeze-gtk-theme package name

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Dec 2017 17:00:50 +0000

plasma-desktop (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:01 -0600

plasma-desktop (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:00 +0000
