=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.15~),
-               breeze-dev (>= 4:5.12.0~),
+Build-Depends: baloo-kf5-dev (>= 5.42.0~),
+               breeze-dev (>= 4:5.12.4~),
                cmake (>= 2.8.12),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 1.8.0~),
-               kded5-dev (>= 5.34.0~),
-               kinit-dev,
-               kscreenlocker-dev,
-               kwin-dev (>= 4:5.4.0~),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.42.0~),
+               kded5-dev (>= 5.42.0~),
+               kinit-dev (>= 5.42.0~),
+               kscreenlocker-dev (>= 5.12.4~),
+               kwin-dev (>= 4:5.12.4~),
                libappstreamqt-dev,
                libboost-dev,
                libcanberra-dev,
@@ -19,45 +19,45 @@
                libfreetype6-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.34.0~),
-               libkf5activitiesstats-dev (>= 5.34.0~),
-               libkf5attica-dev (>= 5.34.0~),
-               libkf5auth-dev (>= 5.34.0~),
-               libkf5config-dev (>= 5.34.0~),
-               libkf5coreaddons-dev,
-               libkf5dbusaddons-dev (>= 5.34.0~),
-               libkf5declarative-dev (>= 5.34.0~),
-               libkf5doctools-dev (>= 5.34.0~),
-               libkf5emoticons-dev,
-               libkf5globalaccel-dev (>= 5.34.0~),
-               libkf5guiaddons-dev,
-               libkf5i18n-dev (>= 5.34.0~),
-               libkf5itemmodels-dev (>= 5.41.0~),
-               libkf5kcmutils-dev (>= 5.34.0~),
-               libkf5kdelibs4support-dev (>= 5.34.0~),
-               libkf5kio-dev,
-               libkf5newstuff-dev (>= 5.34.0~),
-               libkf5notifications-dev (>= 5.34.0~),
-               libkf5notifyconfig-dev (>= 5.34.0~),
-               libkf5people-dev (>= 5.34.0~),
-               libkf5plasma-dev (>= 5.34.0~),
-               libkf5runner-dev (>= 5.34.0~),
-               libkf5sysguard-dev,
-               libkf5wallet-dev (>= 5.34.0~),
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5activities-dev (>= 5.42.0~),
+               libkf5activitiesstats-dev (>= 5.42.0~),
+               libkf5attica-dev (>= 5.42.0~),
+               libkf5auth-dev (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5declarative-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
+               libkf5emoticons-dev (>= 5.42.0~),
+               libkf5globalaccel-dev (>= 5.42.0~),
+               libkf5guiaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5itemmodels-dev (>= 5.42.0~),
+               libkf5kcmutils-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
+               libkf5notifications-dev (>= 5.42.0~),
+               libkf5notifyconfig-dev (>= 5.42.0~),
+               libkf5people-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
+               libkf5runner-dev (>= 5.42.0~),
+               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5wallet-dev (>= 5.42.0~),
+               libkf5widgetsaddons-dev (>= 5.42.0~),
+               libkf5windowsystem-dev (>= 5.42.0~),
+               libkf5xmlgui-dev (>= 5.42.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libpulse-dev (>= 0.9.16),
-               libqt5svg5-dev (>= 5.9.0~),
-               libqt5x11extras5-dev (>= 5.9.0~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libx11-dev,
-               libx11-xcb-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-shm0-dev,
                libxcb-xkb-dev,
@@ -67,28 +67,35 @@
                libxi-dev,
                libxkbfile-dev,
                openbox,
-               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               plasma-workspace-dev (>= 4:5.12.4~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                scim-dev,
                xauth,
                xserver-xorg-dev,
                xserver-xorg-input-evdev-dev,
                xserver-xorg-input-libinput-dev,
                xserver-xorg-input-synaptics-dev,
-               xvfb,
-Standards-Version: 4.1.3
+               xvfb
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 
 Package: kde-config-touchpad
+Architecture: all
+Section: oldlibs
+Priority: optional
 Depends: plasma-desktop, ${misc:Depends}
-Architecture: all
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: kde-touchpad
+Architecture: any
+Section: oldlibs
 Priority: optional
-Section: oldlibs
+Depends: plasma-desktop, ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -124,7 +131,8 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze,
+Depends: baloo-kf5,
+         breeze,
          kactivitymanagerd,
          kde-cli-tools,
          kded5,
@@ -144,11 +152,11 @@
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: bluedevil,
             breeze-gtk-theme,
-            fonts-hack-ttf,
             fonts-noto,
+            fonts-oxygen,
             kde-config-gtk-style,
             kde-config-screenlocker,
             kde-config-sddm,
@@ -170,19 +178,27 @@
             powerdevil,
             sni-qt,
             systemsettings,
-            user-manager,
+            user-manager
 Breaks: baloo-kf5 (<< 5.5),
-        kactivities,
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
-        kde-workspace-bin,
-        kde-workspace-data,
-        plasma-widget-kimpanel,
+        plasma-dataengines-addons (<< 4:5.8.3),
+        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
+        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
+        qml-module-org-kde-activities (<< 5.26.0)
+Conflicts: kde-workspace-bin, kde-workspace-data, plasma-widget-kimpanel
 Replaces: baloo-kf5 (<< 5.5),
-          kactivities,
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
+          plasma-dataengines-addons (<< 4:5.8.3),
+          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
+          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
           plasma-widget-kimpanel,
+          plasma-widgets-addons (<< 4:5.6.0~),
+          qml-module-org-kde-activities (<< 5.26.0)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -200,24 +216,29 @@
 Recommends: plasma-framework (>> 5.22),
             plasma-workspace,
             qml-module-org-kde-activities,
+            qml-module-org-kde-extensionplugin,
+            qml-module-org-kde-kcm,
             qml-module-org-kde-kwindowsystem,
-            qml-module-qtquick-dialogs,
+            qml-module-qtquick-dialogs
 Breaks: baloo-kf5 (<< 5.5),
-        kactivities,
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
-        kde-workspace-bin,
-        kde-workspace-data,
-        kdeplasma-addons-data (<< 4:5.6~),
-        plasma-widget-kimpanel,
-        ${kde-l10n:all},
+        kdeplasma-addons-data (<< 4:5.8.3),
+        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
+        ${kde-l10n:all}
+        kactivites (<< 5.18.0~)
+Conflicts: kde-workspace-bin, kde-workspace-data, plasma-widget-kimpanel
 Replaces: baloo-kf5 (<< 5.5),
-          kactivities,
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
-          kdeplasma-addons-data (<< 4:5.6~),
-          plasma-widget-kimpanel,
-          ${kde-l10n:all},
+          kdeplasma-addons-data (<< 4:5.8.3),
+          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+          plasma-widgets-addons (<< 4:5.6.0~),
+          ${kde-l10n:all}
+          kactivities (<< 5.18.0~)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -232,13 +253,13 @@
  This package contains the data files
 
 Package: plasma-desktop-dev
+Architecture: any
 Section: devel
-Architecture: any
 Depends: libkfontinst5 (= ${binary:Version}),
          libkfontinstui5 (= ${binary:Version}),
          plasma-desktop (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Breaks: kde-config-touchpad (<< 4:5)
 Replaces: kde-config-touchpad (<< 4:5)
 Description: Tools and widgets for the desktop
